# Uses of Class
com.facebook.presto.jdbc.PrestoConnection

## Uses of PrestoConnection in com.facebook.presto.jdbc

Methods in com.facebook.presto.jdbc that return PrestoConnection
Modifier and Type
Method
Description
`protected final PrestoConnection`
PrestoStatement.`connection()`
`static PrestoConnection`
PrestoConnection.`newConnectionWithSessionProperties(PrestoConnection connectionWithSessionProperties, Properties connectionProperties)`
Methods in com.facebook.presto.jdbc with parameters of type PrestoConnection
Modifier and Type
Method
Description
`static void`
PrestoConnection.`copySessionProperties(PrestoConnection src, PrestoConnection dst)`
`static PrestoConnection`
PrestoConnection.`newConnectionWithSessionProperties(PrestoConnection connectionWithSessionProperties, Properties connectionProperties)`